Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jta
Class AbstractJtaUserTransactionService

    java.lang.Object
      com.atomikos.icatch.config.imp.AbstractUserTransactionService
          com.atomikos.icatch.jta.AbstractJtaUserTransactionService

All Implemented Interfaces:
  UserTransactionService

    public abstract class AbstractJtaUserTransactionService

extends AbstractUserTransactionService

Constructor Summary
`AbstractJtaUserTransactionService()`

Method Summary
`TransactionManager` | `getTransactionManager()`
`void` | `init(TSInitInfo info)` Initializes the intra-VM transaction manager.
`void` | `shutdown(boolean force)` Shuts down the core.

Methods inherited from class com.atomikos.icatch.config.imp.AbstractUserTransactionService
`findOrCreateFolder, getCompositeTransactionManager, getDefaultName, getExportingTransactionManager, getHostAddress, getImportingTransactionManager, getLogAdministrators, getResources, getTrimmedProperty, init, registerLogAdministrator, registerResource, registerTSListener, removeLogAdministrator, removeResource, removeTSListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atomikos.icatch.config.UserTransactionService
`createTSInitInfo`

Constructor Detail

### AbstractJtaUserTransactionService

    public AbstractJtaUserTransactionService()

Method Detail

### init

    public void init(TSInitInfo info)
              throws SysException

  Description copied from interface: `UserTransactionService`
  Initializes the intra-VM transaction manager.

  Specified by:
    `init` in interface `UserTransactionService`
  Overrides:
    `init` in class `AbstractUserTransactionService`
  Parameters:
    `info` - The TSInitInfo with details for initialization.
  Throws:
    `SysException`
  See Also:
    `UserTransactionService`

### shutdown

    public void shutdown(boolean force)
                  throws IllegalStateException

  Description copied from interface: `UserTransactionService`
  Shuts down the core. It is highly recommended that this method be called before the VM exits, in order to ensure proper log closing. After this method completes, all resources will have been removed from the configuration, as well as all logadministrators. To re-initialize, everything should be registered again.

  Specified by:
    `shutdown` in interface `UserTransactionService`
  Overrides:
    `shutdown` in class `AbstractUserTransactionService`
  Parameters:
    `force` - If true, then shutdown will succeed even if some transactions are still active. If false, then the calling thread will block until any active transactions are terminated. A heuristic transaction is also considered to be active.
  Throws:
    `IllegalStateException`
  See Also:
    `UserTransactionService`

### getTransactionManager

    public TransactionManager getTransactionManager()

  See Also:
    `UserTransactionService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.